<?php 

namespace App\Http\Requests;
use App\Http\Requests\Request;

class MarketplaceRequest extends Request 
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name' => 'required|string|unique:market_places,name',
            'commission' => 'required|numeric'
            ];
    }
    
    
//    public function messages()
//    {
//        return [
//            'date.date_format' => 'The <strong>Date</strong> does not match the format d/m/Y.'
//        ];
//    }
}
